Predefined Constants
DOMAttr::__construct
DOM
PHP Manual

# The DOMAttr class

## Introduction

DOMAttr represents an attribute in the DOMElement object.

## Class synopsis

DOMAttr
class DOMAttr extends DOMNode {
/* Properties */
public readonly string $name ;
public readonly DOMElement $ownerElement ;
public readonly bool $schemaTypeInfo ;
public readonly bool $specified ;
public string $value ;
/* Methods */
__construct ( string `$name` [, string `$value` ] )
bool isId ( void )
/* Inherited methods */
DOMNode DOMNode::appendChild ( DOMNode `$newnode` )
DOMNode DOMNode::cloneNode ([ bool `$deep` ] )
bool DOMNode::hasAttributes ( void )
bool DOMNode::hasChildNodes ( void )
DOMNode DOMNode::insertBefore ( DOMNode `$newnode` [, DOMNode `$refnode` ] )
bool DOMNode::isDefaultNamespace ( string `$namespaceURI` )
bool DOMNode::isSameNode ( DOMNode `$node` )
bool DOMNode::isSupported ( string `$feature` , string `$version` )
string DOMNode::lookupNamespaceURI ( string `$prefix` )
string DOMNode::lookupPrefix ( string `$namespaceURI` )
void DOMNode::normalize ( void )
DOMNode DOMNode::removeChild ( DOMNode `$oldnode` )
DOMNode DOMNode::replaceChild ( DOMNode `$newnode` , DOMNode `$oldnode` )
}

## Properties

name

  The name of the attribute

ownerElement

  The element which contains the attribute

schemaTypeInfo

  Not implemented yet, always is `NULL`

specified

  Not implemented yet, always is `NULL`

value

  The value of the attribute

## See Also

- » W3C specification of Attr

## Table of Contents

- DOMAttr::__construct — Creates a new DOMAttr object
- DOMAttr::isId — Checks if attribute is a defined ID

Predefined Constants
DOMAttr::__construct
DOM
PHP Manual